﻿// JScript File
    //-----------------------------------------
    function MainMap_Initial(URL){
        document.MainMap.Map = new MapScript(URL);
        if (typeof document.MainMap.LayerLoading!="undefined"){
            document.MainMap.LayerMap.src = document.MainMap.Spacer.src;
            document.MainMap.ShowLoading("Loading Capabilities ...");
        }
        document.MainMap.Map.LoadCapabilities(MainMap_OnLoadCapabilities);
    }
    //-----------------------------------------
    function MainMap_OnLoadCapabilities(Sender){
        //Sender Is Map (Script)
        //Initial MainMap After GetCapabilities
        document.MainMap.Initial = MapControl_Initial; MainMap.Initial();
        //Initial MainTOC After Initial MainMap
        document.MainTOC.Map = MainMap.Map;
        document.MainTOC.Initial = MapTOC_Initial; MainTOC.Initial();
        //--------------
        var MapProjects = document.getElementById("MapProjections");
        while(MapProjects.childNodes.length>0){
            MapProjects.removeChild(MapProjects.firstChild);
        }
        for (var i=0;i<MainMap.Map.SRSs.length;i++){
            var ProjectOption = document.createElement("Option");
            var Projection = MainMap.Map.GCTP.getProjection(MainMap.Map.SRSs[i]);
            if (Projection){
                ProjectOption.getAttributeNode("Value").value = Projection.epsg;
                ProjectOption.appendChild(document.createTextNode(Projection.ellipsoid+" / "+Projection.detail));
            }else{
                ProjectOption.getAttributeNode("Value").value = MainMap.Map.SRSs[i];
                ProjectOption.appendChild(document.createTextNode(MainMap.Map.SRSs[i]+" (Undefined)"));
            }
            MapProjects.appendChild(ProjectOption);
        }
        //--------------
        var MapFormats = document.getElementById("MapFormats");
        while(MapFormats.childNodes.length>0){
            MapFormats.removeChild(MapFormats.firstChild);
        }
        for (var i=0;i<MainMap.Map.GetMapFormats.length;i++){
            var FormatOption = document.createElement("Option");
            FormatOption.getAttributeNode("Value").value = document.MainMap.Map.GetMapFormats[i];
            if (document.MainMap.Map.GetMapFormats[i]==document.MainMap.Map.GetMapFormat){
                FormatOption.getAttributeNode("Selected").value = "true";
            }
            FormatOption.appendChild(document.createTextNode(document.MainMap.Map.GetMapFormats[i].replace("image/","").replace("mode=","")));
            MapFormats.appendChild(FormatOption);
        }
    }
    //------------------------------------------
    function Toolbar_ChangeProjection(sender){
        if (document.MainMap.Map.SetSRS(sender.value)==false){
            sender.value=document.MainMap.Map.SRS; 
        }else{
            document.MainMap.Refresh();
        }    
    }
    //------------------------------------------
    function Toolbar_ChangeFormat(sender){
        document.MainMap.Map.GetMapFormat=sender.value;
        document.MainMap.Refresh();   
    }
    //------------------------------------------
    function Toolbar_ChangeStyle(sender){
        document.MainMap.Map.GetLayerActive().Style=sender.value;
        document.MainMap.Refresh();
    }
    //-----------------------------------------
    function Toolbar_OnMouseOver(sender,argument){
        //Sender is button in Toolbar
        sender.className = 'Toolbar_MouseOver';
    }
    //-----------------------------------------
    function Toolbar_OnMouseOut(sender,argument){
        //Sender is button in Toolbar
        if (document.ActiveToolbar!=sender){
            sender.className = 'Toolbar_MouseOut';
        }else{
            sender.className = 'Toolbar_Selected';
        }
    }
    //==========================================
    function Toolbar_OnClick(sender,argument){
        //sender is button in Toolbar
        //argument is status of button
        switch(sender.id){
            case 'SwitchNorth':document.MainMap.SwitchNorth(); break;
            case 'SwitchOverview':document.MainMap.SwitchOverview(); break;
            case 'CaptureMap':var ImageMap = window.open(document.MainMap.Map.GetMap()); break;

            case 'ZoomToExtent': document.MainMap.ZoomToExtent(); break;
            case 'ZoomInCenter': document.MainMap.ZoomInCenter(); break;
            case 'ZoomOutCenter': document.MainMap.ZoomOutCenter(); break;

            case 'Pan': document.MainMap.SetMode('Pan'); break;    
            case 'ZoomIn': document.MainMap.SetMode('ZoomIn'); break;
            case 'ZoomOut': document.MainMap.SetMode('ZoomOut'); break;

            case 'Identify':document.MainMap.SetMode('Identify'); break;
        }
        if (argument==true){
            if (document.ActiveToolbar!=null){
                document.ActiveToolbar.className = 'Toolbar_MouseOut';
            }
            sender.className = 'Toolbar_Selected';
            document.ActiveToolbar = sender;
        }
    }
    
