﻿// JScript File

    //==================================================
    //    MapControl 
    //==================================================
        function MapControl_Initial(){
            //Create childe element of MapControl
            while(this.childNodes.length>0){
                this.removeChild(this.firstChild);
            }
            this.LimitDrag = 3;
            this.Mode = "Pan";
            this.Space = 5;
            this.SetMode = MapControl_SetMode;
            
            this.Spacer = new Image();
            this.Spacer.src = "GISTDA.JScript/Spacer.gif";
            this.Loading = false;
            this.IsNetscape = navigator.appName.indexOf('Netscape')>=0;
            //Set MapControl Method 
            this.CreateChild = MapControl_CreateChild; 
            this.CreateChild(); // Initial Child Control
            this.ShowDetail = MapControl_ShowDetail;
            this.ShowIdentify = MapControl_ShowIdentify;
            this.SwitchNorth = MapControl_SwitchNorth;
            this.SwitchOverview = MapControl_SwitchOverview;
            this.SwitchScalebar = MapControl_SwitchScalebar;
            this.Refresh = MapControl_Refresh;
            
            //--------------------------------
            this.ZoomInCenter = MapControl_ZoomInCenter;
            this.ZoomOutCenter = MapControl_ZoomOutCenter;
            this.ZoomToScale  = MapControl_ZoomToScale;
            this.ZoomToExtent = MapControl_ZoomToExtent;
            this.ZoomToCenter = MapControl_ZoomToCenter;
            this.PanToDirection = MapControl_PanToDirection;
            //--------------------------------
            //Set Event Handle
            this.OnResize = MapControl_OnResize;            
            this.UsedAcetate = Acetate_Initial; this.UsedAcetate();
            this.ShowLoading = MapControl_ShowLoading;
            this.HideLoading = MapControl_HideLoading;
            document.body.onresize = new Function('sender',
                  'document.getElementById("'+this.id+'").OnResize(sender)');

            this.ondblclick = MapControl_OnDblClick;
            this.onmousedown = MapControl_OnMouseDown;
            this.onmousemove = MapControl_OnMouseMove;
            this.onmouseup = MapControl_OnMouseUp;
            this.onmouseout = MapControl_OnMouseOut;
            this.onkeypress = MapControl_OnKeyPress;
            this.onmouseover = MapControl_OnMouseOver;
            //--------------------------------
            //Set Style For MapControl
            this.style.width = this.parentNode.clientWidth;
            this.style.height = this.parentNode.clientHeight;
            this.style.border = "solid 1px white";
            this.style.overflow = "hidden";
            //--------------------------------
            //Manage MapScript From MapControl
            this.Map.SetImgSize(this.GetSize());
            this.Map.SetExtent(this.Map.Extent);
            this.Map.MapControl = this;
            //--------------------------------
            this.ImgExtent = this.Map.ImgSize.AsRect();
            this.ButtonLeft = this.IsNetscape?1:1;
            this.ButtonMiddle = this.IsNetscape?2:4;
            this.ButtonRight = this.IsNetscape?3:2;
            this.MouseCursor = "Move";
            this.SetMouseCursor = MapControl_SetMouseCursor; 
            this.MouseDown = null;
            this.MouseButton = null;
            this.MouseEvent = null;
            this.MapEvent = null;

            //--------------------------------
            this.LayerNorth.style.zIndex = 2003;
            this.LayerNorth.className = "MapNorthArrow";
            this.LayerNorth.style.position = "Absolute";
            this.LayerNorth.style.left = this.Space+"px";
            this.LayerNorth.style.top = this.Space+"px";
            //this.LayerNorth.Minimize(false);
            //--------------------------------
            this.LayerOverview.style.zIndex = 2002;
            this.LayerOverview.className = "MapOverview";
            this.LayerOverview.style.position = "Absolute";
            this.LayerOverview.style.width = "150px";
            this.LayerOverview.style.height = "100px";
            this.LayerOverview.style.left = (this.GetWidth()-this.Space-this.LayerOverview.GetWidth())+"px";
            this.LayerOverview.style.top = this.Space+"px";
            //this.LayerNorth.Minimize(false);
            //--------------------------------
            this.LayerIdentify.style.zIndex = 2001;
            this.LayerIdentify.className = "MapIdentify_MouseOut";
            this.LayerIdentify.style.position = "Absolute";
            this.LayerIdentify.style.overflow = "Auto";
            this.LayerIdentify.style.width = "150px";
            this.LayerIdentify.style.height = "500px";
            this.LayerIdentify.style.display = "none";
            //--------------------------------
            this.LayerFilter.style.zIndex = 2000;
            this.LayerFilter.className = "MapFilter";
            this.LayerFilter.style.position = "Absolute";
            this.LayerFilter.SetSize(this.Map.ImgSize.Clone());
            this.LayerFilter.style.cursor = this.MouseCursor;
            //--------------------------------
            this.LayerZoom.style.zIndex = 1003;
            this.LayerZoom.className = "MapZoomBox";
            this.LayerZoom.style.position = "Absolute";
            this.LayerZoom.Minimize(false);
            //--------------------------------
            this.LayerLoading.style.zIndex = 1002;
            this.LayerLoading.className = "MapLoading";
            this.LayerLoading.style.position = "Absolute";
            //--------------------------------
            this.LayerPreload.style.zIndex = 1001;
            this.LayerPreload.style.position = "Absolute";
            this.LayerPreload.style.backgroundColor = "Transparent";
            this.LayerPreload.style.filter = "Alpha(opacity=50)";
            //--------------------------------
            this.LayerMap.style.zIndex = 1000;
            this.LayerMap.style.position = "Relative";
            this.LayerMap.src = this.Spacer.src;
            this.LayerMap.Maximize(true);
            //--------------------------------
            this.Refresh();
        }
        //----------------------        
        function MapControl_CreateChild(){
            //this mean MapControl
            var LayerLoading = LayerAcetate(this.id+"_LayerLoading"); 
            var LayerIdentify = LayerAcetate(this.id+"_LayerIdentify"); 
            var LayerFilter = LayerAcetate(this.id+"_LayerFilter"); 
            var LayerNorth = LayerAcetate(this.id+"_LayerNorth"); 
            var LayerOverview = LayerAcetate(this.id+"_LayerOverview");
            var LayerZoom = LayerAcetate(this.id+"_LayerZoom"); 
            var LayerPreload = LayerImage(this.id+"_LayerPreload"); 
            var LayerMap = LayerImage(this.id+"_LayerMap"); 

            this.appendChild(LayerLoading);
            this.LayerLoading = document.getElementById(LayerLoading.id);
            
            this.appendChild(LayerIdentify);
            this.LayerIdentify = document.getElementById(LayerIdentify.id);
            
            this.appendChild(LayerFilter);
            this.LayerFilter = document.getElementById(LayerFilter.id);
            
            this.appendChild(LayerNorth);
            this.LayerNorth = document.getElementById(LayerNorth.id);
            var NorthImg = document.createElement("Img");
            if (typeof document.Skin =="undefined"){document.Skin="GISTDA.Classic";};
            NorthImg.src = "GISTDA.Skins/"+document.Skin+"/Images/NorthArrow.gif";
            NorthImg.className = "MapNorthArrow";
            this.LayerNorth.appendChild(NorthImg);

            this.appendChild(LayerOverview);
            this.LayerOverview = document.getElementById(LayerOverview.id);
            var OverviewImg = document.createElement("Img");
            OverviewImg.id = this.id + "_ImageOverview";
            OverviewImg.src = this.Map.GetOverview();
            OverviewImg.ondblclick = function(){prompt('Overview URL',this.src)};
            this.LayerOverview.appendChild(OverviewImg);
            this.ImageOverview = document.getElementById(OverviewImg.id);

            this.appendChild(LayerZoom);
            this.LayerZoom = document.getElementById(LayerZoom.id);
            
            this.appendChild(LayerPreload);
            this.LayerPreload = document.getElementById(LayerPreload.id);
            this.LayerPreload.onload = MapControl_OnPreload;

            this.appendChild(LayerMap);
            this.LayerMap = document.getElementById(LayerMap.id);
            this.LayerMap.onload = MapControl_OnLoaded;
        }
        //==================================
        function MapControl_SetMode(Mode){
            switch(Mode){
                case 'Pan':
                    this.Mode = 'Pan';
                    this.SetMouseCursor('move');
                    break;    
                case 'ZoomIn':
                    this.Mode = 'ZoomIn';
                    this.SetMouseCursor('crosshair');
                    break;
                case 'ZoomOut':
                    this.Mode = 'ZoomOut';
                    this.SetMouseCursor('crosshair');
                    break;
                case 'Identify':
                    this.Mode = 'Identify';
                    this.SetMouseCursor('default');
                    break;
            }
            this.LayerIdentify.Visible(false);
        }        
        //----------------------        
        function MapControl_SetMouseCursor(Cursor){
            this.MouseCursor = Cursor;
            this.LayerFilter.style.cursor = Cursor;
        }
        //----------------------        
        function MapControl_ShowDetail(){
            //Firefox must do this before 
            //Tools>Options>Content>Checked Enable JavaScript
            //Click Advance..>Checked Change Statusbar Text;
            var ImgPostText = "Image Position";
            var MapPostText = "Map Position";
            var MapScaleText = "Map Scale";
            var ImgPostX = this.MouseEvent.X;
            var ImgPostY = this.MouseEvent.Y;
            var MapPostX = this.MapEvent.X.toFixed(2);
            var MapPostY = this.MapEvent.Y.toFixed(2);
            var MapScale = this.Map.MapScale().toFixed(0);
            var Status  = ImgPostText+" X:="+ImgPostX+" Y:="+ImgPostY+" | ";
                Status += MapPostText+" X:="+MapPostX+" Y:="+MapPostY+" | ";
                Status += MapScaleText+":= 1:"+MapScale+" ";
            this.title = "Mode = "+this.Mode +"\n"+ MapPostText+" X:="+MapPostX+" Y:="+MapPostY;
            window.status = Status;
        }
        //----------------------        
        function MapControl_ShowIdentify(){
            var Top = this.Space + (this.LayerOverview.IsVisible()?this.LayerOverview.GetHeight() + this.Space:0) ;
            var Height = this.GetHeight()- Top - this.Space;
            
            this.LayerIdentify.style.height = Height+"px";
            this.LayerIdentify.style.left = (this.GetWidth()-this.LayerIdentify.GetWidth()-this.Space)+"px";
            this.LayerIdentify.style.top = Top+"px";
            this.LayerIdentify.Visible(true);
        }
        //----------------------        
        function MapControl_SwitchNorth(){
            this.LayerNorth.Visible(!this.LayerNorth.IsVisible());
        }
        //----------------------        
        function MapControl_SwitchOverview(){
            this.LayerOverview.Visible(!this.LayerOverview.IsVisible());
        }
        //----------------------        
        function MapControl_SwitchScalebar(){
        }
        //----------------------        
        function MapControl_ShowLoading(Message){
            while(this.LayerLoading.childNodes.length>0){
                this.LayerLoading.removeChild(this.LayerLoading.firstChild);
            }
            var Width = this.GetWidth()/3;
            var Height = 25;
            this.LayerLoading.style.left = ((this.GetWidth()/2)-(Width/2))+"px";
            this.LayerLoading.style.top = ((this.GetHeight()/2)-(Height/2))+"px";
            this.LayerLoading.style.width = Width+"px";
            this.LayerLoading.style.height = Height+"px";
            this.LayerLoading.appendChild(document.createTextNode(Message));
            this.LayerLoading.style.display = "inline";
        }
        //----------------------        
        function MapControl_HideLoading(){
            this.LayerLoading.style.display = "none";
        }
        //----------------------        
        function MapControl_OnDblClick(sender){
            //this mean MapControl
            if (this.Loading){return false;}
            this.Map.ZoomToExtent();
            this.Refresh(sender);
            
        }
        //----------------------        
        function MapControl_OnMouseDown(sender){
            //this mean MapControl
            if(event.shiftKey && event.ctrlKey){
                window.open(this.Map.GetMap(),'MapControl_Hint');
                return true;
            }else if(event.shiftKey && event.altKey){
                window.open(this.Map.GetCapabilities(),'MapControl_Hint');
                return true;
            }else if (event.ctrlKey){
                prompt('URL of GetMap',this.Map.GetMap());
                return true;
            }else if(event.altKey){
                prompt('URL of GetCapabilities',this.Map.GetCapabilities());
                return true;
            }else if (this.Loading){
                return false;
            }
            //--------------------
            if (this.IsNetscape){
                this.MouseDown = new Point(sender.pageX-this.offsetLeft,sender.pageY-this.offsetTop);
                this.MouseButton = sender.which;
            }else{
                if (event.srcElement.id.indexOf("LayerFilter")<0){
                    return;
                };
                this.MouseDown = new Point(event.offsetX,event.offsetY);
                this.MouseButton = event.button;
            }
            switch (this.MouseButton){
                case this.ButtonLeft:
                    break;
                case this.ButtonRight:
                    this.MouseCursor = this.LayerFilter.style.cursor;
                    this.LayerFilter.style.cursor = "n-resize";
                    break;
                /*case this.ButtonRight:
                    break;*/
            }
            this.LayerZoom.Minimize(false);
        }
        //----------------------        
        function MapControl_OnMouseMove(sender){
            //this mean MapControl
            //if (this.Loading){return false;}
            if (this.IsNetscape){
                this.MouseEvent = new Point(sender.pageX-this.offsetLeft,sender.pageY-this.offsetTop);
            }else{
                this.MouseEvent = new Point(event.offsetX,event.offsetY);
            }
            this.MapEvent = this.Map.MapPosition(this.MouseEvent);
            if (this.MouseDown==null){this.ShowDetail();}
            else{
                var MouseDrag = this.MouseDown.Different(this.MouseEvent);
                var MouseRatio = 1+(MouseDrag.Y/this.ImgExtent.Height());
                switch (this.MouseButton){
                    case this.ButtonLeft:
                        this.LayerZoom.Minimize(false);
                        switch (this.Mode){
                            case "Pan":
                                var MouseMove = this.ImgExtent.Clone();
                                MouseMove.Offset(MouseDrag);
                                this.LayerMap.MoveTo(MouseMove.PointMin());
                                break;
                            default :// "ZoomIn"||"ZoomOut":
                                var ZoomBox = new Rect(this.MouseDown.X,
                                                       this.MouseDown.Y,
                                                       this.MouseEvent.X,
                                                       this.MouseEvent.Y);
                                this.LayerZoom.SetExtent(ZoomBox,true);
                                break;
                        }
                        break;
                    case this.ButtonRight:
                        var VirtualSize = this.ImgExtent.Clone();
                        VirtualSize.Rescale(MouseRatio);
                        this.LayerMap.SetExtent(VirtualSize,true);
                        break;
                    /*case this.ButtonRight:
                        break;*/
                }
            }
            return null;
        }
        //----------------------        
        function MapControl_OnMouseUp(sender){
            //this mean MapControl
            if (this.MouseDown==null){return null;}
            if (this.Loading){return false;}
            var MapControl = this.parentNode;
            if (this.IsNetscape){
                this.MouseEvent = new Point(sender.pageX-this.offsetLeft,sender.pageY-this.offsetTop);
                this.MouseButton = sender.which;
            }else{
                this.MouseEvent = new Point(event.offsetX,event.offsetY);
                this.MouseButton = event.button;
            }
            var MouseDrag = this.MouseDown.Different(this.MouseEvent);
            var ZoomBox = new Rect(this.MouseDown.X,this.MouseDown.Y,this.MouseEvent.X,this.MouseEvent.Y);
            switch (this.MouseButton){
                case this.ButtonLeft:
                    switch (this.Mode){
                        case "Pan":
                            //alert('Pan');
                            if (ZoomBox.Width()<this.LimitDrag && ZoomBox.Height()<this.LimitDrag){
                                this.Map.PanToImgCenter(this.MouseDown);
                            }else{
                                this.Map.PanToImgCenter(this.MouseDown,this.MouseEvent);
                            }
                            this.Refresh();
                            break;
                        case "ZoomOut":
                            //alert('ZoomOut');
                            if (ZoomBox.Width()<this.LimitDrag && ZoomBox.Height()<this.LimitDrag){
                                this.ZoomToCenter(this.MouseDown,1/this.Map.ZoomScale);
                            }else{
                                var MouseRatioX = -Math.abs(MouseDrag.X)/this.ImgExtent.Width();
                                var MouseRatioY = -Math.abs(MouseDrag.Y)/this.ImgExtent.Height();
                                this.ZoomToCenter(ZoomBox.Center(),(MouseRatioX/MouseRatioY)/2);
                            }
                            break;
                        case "ZoomIn":
                            //alert('ZoomIn');
                            if (ZoomBox.Width()<this.LimitDrag && ZoomBox.Height()<this.LimitDrag){
                                this.ZoomToCenter(this.MouseDown,this.Map.ZoomScale);
                            }else{
                                var MouseRatio = 1+(MouseDrag.Y/this.ImgExtent.Height());
                                this.ZoomToExtent(ZoomBox);
                            }
                            break;
                         case "Identify":
                            this.Map.QueryShape = this.Map.MapPosition(this.MouseEvent);
                            if (this.Map.GetFeatureInfo()!=null){
                                if (typeof document.getElementById(this.id+"_OnIdentify")=="function"){
                                    document.getElementById(this.id+"_OnIdentify")();
                                }
                                //-----
                                //under delveloping
                                this.Map.XML.Load(this.Map.GetFeatureInfo(),MapControl_OnLoadGetFeatyreInfo,this);
                                this.ShowIdentify();
                                //-----
                            }else{
                                alert('Please activate layer before indentify');
                            }
                            break;
                    }
                    this.LayerFilter.style.cursor = this.MouseCursor;
                    break;
                case this.ButtonRight:
                    var MouseRatio = 1+(MouseDrag.Y/this.ImgExtent.Height());
                    this.Map.ZoomToScale(MouseRatio);
                    this.LayerFilter.style.cursor = this.MouseCursor;
                    this.Refresh();
                    break;
                /*case this.ButtonRight:
                    this.LayerIdentify.ShowLast();
                    this.LayerIdentify.MoveTo(this.MouseDown,true);
                    break;*/
            }
            this.LayerZoom.Minimize(false);
            var Debug = document.getElementById(this.id+"_Debug");
            if (Debug!=null){Debug.innerHTML = this.Map.GetMap();}
            this.MouseDown = null;
        }
        //----------------------        
        function MapControl_OnMouseOver(sender){
            //this mean MapControl
            if (event.srcElement.id.indexOf("LayerIdentify")>=0){
                this.LayerIdentify.className = "MapIdentify_MouseOver";
            };
        }
        //----------------------        
        function MapControl_OnMouseOut(sender){
            //this mean MapControl
            this.LayerFilter.style.cursor = this.MouseCursor;
            window.status = '';
            if (event.srcElement.id.indexOf("LayerIdentify")>=0){
                this.LayerIdentify.className = "MapIdentify_MouseOut";
            };
        }
        //----------------------        
        function MapControl_OnKeyPress(sender){
            //this mean MapControl
            KeyCode = event.keyCode;
            KeyStr = String.fromCharCode(event.keyCode);
            //alert(KeyCode);
            
            if      (KeyCode== 61 || // =
                     KeyCode==  43 || // +
                     KeyCode==3594 || // ช
                     KeyCode==3673 || // ๙ 
                     KeyCode== 93     // ]
                     )  
                {this.ZoomToScale(this.Map.ZoomScale);}
            else if (KeyCode==  45 || // -
                     KeyCode==  91 || // _
                     KeyCode==3586 || // ข
                     KeyCode==3672 || // ๘
                     KeyCode==  95    // [
                     ) 
                {this.ZoomToScale(1/this.Map.ZoomScale);}
            else if (KeyCode==  69 || // E
                     KeyCode== 101 || // e
                     KeyCode==  32 || // space
                     KeyCode==3635 || // อำ
                     KeyCode==3598 || // ฎ
                     KeyCode==48      // 0
                     )
                {this.ZoomToExtent();}
            else if (KeyCode==  65 || // A
                     KeyCode==  97 || // a
                     KeyCode==  37 || // left
                     KeyCode==3615 || // ฟ
                     KeyCode==3620 || // ฤ
                     KeyCode==52      // 4
                     ) 
                {this.PanToDirection("W");}
            else if (KeyCode==  87 || // W
                     KeyCode== 119 || // w 
                     KeyCode==  38 || // up
                     KeyCode==3652 || // ไ
                     KeyCode==  34 || // "
                     KeyCode==  56    //  8
                     )
                {this.PanToDirection("N");}
            else if (KeyCode==  68 || // D
                     KeyCode== 100 || // d
                     KeyCode==  39 || // right
                     KeyCode==3585 || // ก
                     KeyCode==3599 || // ฏ
                     KeyCode==  54    // 8
                     )
                {this.PanToDirection("E");}
            else if (KeyCode==  83 || // S
                     KeyCode== 115 || // s
                     KeyCode==  40 || // down
                     KeyCode==3627 || // ห
                     KeyCode==3590 || // ฆ
                     KeyCode==  50    // 2
                     )
                {this.PanToDirection("S");}
            else if (KeyCode==  55  // 7
                     )
                {this.PanToDirection("NW");}
            else if (KeyCode==  57  // 9
                     )
                {this.PanToDirection("NE");}
            else if (KeyCode==  49  // 1
                     )
                {this.PanToDirection("SW");}
            else if (KeyCode==  51  // 3
                     )
                {this.PanToDirection("SE");}
            else if (KeyCode==  73 || // I
                     KeyCode== 105 || // i
                     KeyCode==3619 || // ร
                     KeyCode==3603    // ณ
                     ) 
                {this.Mode = "ZoomIn";}
            else if (KeyCode==  79 || // O
                     KeyCode== 111 || // o
                     KeyCode==3609 || // น
                     KeyCode==3631    // ฯ
                     )
                {this.Mode = "ZoomOut";}
            else if (KeyCode==  80 || // P
                     KeyCode== 112 || // p
                     KeyCode==3618 || // ย
                     KeyCode==3597    // ญ
                     )
                {this.Mode = "Pan";}
            var Debug = document.getElementById(this.id+"_Debug");
            if (Debug!=null){Debug.innerHTML = this.Map.GetMap();}
        }
        //----------------------        
        function MapControl_OnResize(sender){
            //this mean MapControl
            this.Refresh(sender);
            if (this.Mode=="Identify"){this.ShowIdentify()};
            
        }
        //----------------------        
        function MapControl_Refresh(sender){
            //this mean MapControl
            //minimize all controls for fit MapControl
            this.Loading = true;
            this.style.width = "0px";
            this.style.height = "0px";
            
            this.LayerPreload.SaveExtent();
            this.LayerPreload.Minimize(false);
            
            this.LayerMap.SaveExtent();
            this.LayerMap.Minimize(false);
            
            this.LayerFilter.Minimize(false);
            this.LayerLoading.Minimize(false);
            
            //------
            //Set MapControl fit to parent
            this.style.width = this.parentNode.clientWidth;
            this.style.height = this.parentNode.clientHeight;
            //------
            this.LayerPreload.ShowLast();
            this.LayerMap.ShowLast();
            this.LayerFilter.SetExtent(this.GetSize().AsRect(),true);
            
            this.Map.SetImgSize(this.GetSize());
            this.Map.SetExtent(this.Map.Extent);
            this.ImgExtent = this.Map.ImgSize.AsRect();
            this.ShowLoading("Loading Map ...");
            //LayerPreload can't use Maximize(true) 
            //Cause of it won't support transparentcy
            var TempEvent = this.LayerPreload.onload;
            this.LayerPreload.SetExtent(this.Map.ImgSize.AsRect(),true);
            this.LayerPreload.src = this.Spacer.src;
        }
        //----------------------        
        function MapControl_OnPreload(sender){
            //this mean LayerPreload
            //This mean MapControl
            This = this.parentNode;
            if (this.src.indexOf("Spacer")>0){
                this.SetExtent(This.Map.ImgSize.AsRect(),true);
                this.src = This.Map.GetMap();
            }else{
                This.Loading = false;
                This.LayerMap.Visible(false);
                This.LayerMap.src = this.src;
            }
        }        
        //----------------------        
        function MapControl_OnLoaded(sender){
            //this mean LayerMap
            //This mean MapControl
            This = this.parentNode;
            This.LayerMap.SetExtent(this.parentNode.Map.ImgSize.AsRect(),true);
            This.LayerMap.Maximize(true);
            This.LayerMap.Visible(true);
            This.LayerPreload.Minimize(false);
            This.HideLoading();
        }
        //==========================================
        function MapControl_ZoomInCenter(){
            this.ZoomToScale(this.Map.ZoomScale);
        }
        //----------------------        
        function MapControl_ZoomOutCenter(){
            this.ZoomToScale(1/this.Map.ZoomScale);
        }
        //----------------------        
        function MapControl_ZoomToScale(Scale){
            if (this.Loading){return null};
            var NewExt = this.LayerMap.GetExtent();
            NewExt.Rescale(Scale);
            this.LayerMap.SetExtent(NewExt);

            this.Map.ZoomToScale(Scale);
            this.Refresh();
        }
        //----------------------        
        function MapControl_ZoomToExtent(ZoomBox){
            if (this.Loading){return null};
            if(typeof ZoomBox=="undefined"){
                this.Map.ZoomToImgExtent();
                this.Refresh();
            }else{
                var LastImgPos = ZoomBox.Center();
                var LastMapExt = this.Map.Extent.Clone();
                
                this.Map.ZoomToImgExtent(ZoomBox);
                var ThisMapExt = this.Map.Extent.Clone();
                var ThisImgPos = LastImgPos.Rescale(LastMapExt.Width()/ThisMapExt.Width());
                var ImageExt = this.LayerMap.GetExtent();
                ImageExt.Rescale(LastMapExt.Width()/ThisMapExt.Width());
                this.LayerMap.Visible(false);
                this.LayerMap.SetExtent(ImageExt);
                this.LayerMap.CenterTo(ThisImgPos);
                this.LayerMap.Visible(true);
                this.Refresh();
            };          
        }
        //----------------------        
        function MapControl_ZoomToCenter(Position,Scale){
            if (this.Loading){return null};
            var LastImgPos = Position;
            var ThisImgPos = Position.Rescale(Scale);

            this.Map.ZoomToImgCenter(Position,Scale);
            var ImageExt = this.LayerMap.GetExtent();
            ImageExt.Rescale(Scale);

            this.LayerMap.Visible(false);
            this.LayerMap.SetExtent(ImageExt);
            this.LayerMap.CenterTo(ThisImgPos);
            this.LayerMap.Visible(true);
            this.Refresh();
        }
        //----------------------        
        function MapControl_PanToDirection(Direction){
            if (this.Loading){return null};
            switch (Direction){
                case "N"  :    NewPosition = new Point(0,0+(this.Map.ImgSize.Y/2)); break;
                case "S"  :    NewPosition = new Point(0,0-(this.Map.ImgSize.Y/2)); break;
                case "E"  :    NewPosition = new Point(0-(this.Map.ImgSize.X/2),0); break;
                case "W"  :    NewPosition = new Point(0+(this.Map.ImgSize.X/2),0); break;
                case "NE" :    NewPosition = new Point(0-(this.Map.ImgSize.X/2),0+(this.Map.ImgSize.Y/2)); break;
                case "NW" :    NewPosition = new Point(0+(this.Map.ImgSize.X/2),0+(this.Map.ImgSize.Y/2)); break;
                case "SE" :    NewPosition = new Point(0-(this.Map.ImgSize.X/2),0-(this.Map.ImgSize.Y/2)); break;
                case "SW" :    NewPosition = new Point(0+(this.Map.ImgSize.X/2),0-(this.Map.ImgSize.Y/2)); break;
                default : break;
            }
            this.LayerMap.MoveTo(NewPosition);
            this.Map.PanToDirection(Direction);
            this.Refresh();
        }
        //----------------------
        function MapControl_OnLoadGetFeatyreInfo(XMLHttp,Map){
                if (XMLHttp.readyState!=4) {return null;}
                switch (XMLHttp.status){
                    case 200 : break; // Status OK Do Next Step
                    case 404 : alert("URL doesn't exist!"); return null; break;
                    default  : alert("Status is "+XMLHttp.status+"\n"+XMLHttp.statusText); return null; break;
                }
                while(Map.LayerIdentify.childNodes.length>0){
                    Map.LayerIdentify.removeChild(Map.LayerIdentify.firstChild);
                }
                var ILine = XMLHttp.responseText.split("\n");
                var IFields = new Array();
                var IValues = new Array();

                var ITable = document.createElement("Table");
                var IRow = document.createElement("Tr");
                var ITitle = document.createElement("Td");
                
                ITable.id = Map.id + "_IdentifyTable";
                ITitle.id = Map.id + "_IdentifyTitle";
                
                ITable.className = "FeatureInfo_Table";
                ITitle.className = "FeatureInfo_Title";                
                
                ITitle.getAttributeNode("ColSpan").value="3";
                ITitle.appendChild(document.createTextNode(Map.Map.GetLayerActive().Title));
                ITitle.appendChild(document.createElement("<br>"));
                ITitle.appendChild(document.createElement("<hr>"));
                IRow.appendChild(ITitle);
                ITable.appendChild(IRow);
                
                for (var i=0;i<ILine.length;i++){
                    var ITemp = ILine[i].split("=");
                    if (ITemp.length==2){
                        IFields.push(ITemp[0]);
                        IValues.push(ITemp[1]);
                        var ITRow = document.createElement("Tr");
                        var ITField = document.createElement("Td");
                        var ITValue = document.createElement("Td");
                        var ITSeparate = document.createElement("Td");

                        ITField.appendChild(document.createTextNode(ITemp[0]));
                        ITValue.appendChild(document.createTextNode(ITemp[1]));
                        ITSeparate.appendChild(document.createTextNode(":"));
                        
                        ITRow.appendChild(ITField);
                        ITRow.appendChild(ITSeparate);
                        ITRow.appendChild(ITValue);
                        ITable.appendChild(ITRow);
                    }
                }
                //??? May be use appendChild(ITable), But I can't
                Map.LayerIdentify.innerHTML = ITable.outerHTML;
                document.getElementById(ITable.id).className = "MapIdentify_Table";
                document.getElementById(ITitle.id).className = "MapIdentify_Title";
                
                //Send the value to EventHandle.js
                //...
        }
        
        //==========================================
        //==========================================
        function LayerAcetate(ObjId){
            var Acetate = document.createElement("Div");
            Acetate.id = ObjId;
            Acetate.Initial = Acetate_Initial;
            Acetate.Initial();
            return Acetate;
        }
        function Acetate_Initial(){
            this.style.left = "0px";
            this.style.top = "0px";
            //don't use width & height 
            //this.style.width = "0px";
            //this.style.height = "0px";
            this.style.overflow = "hidden";
            this.Minimize = Acetate_Minimize;
            this.Maximize = Acetate_Maximize;
            this.ShowLast = Acetate_ShowLast;
            this.LastExtent = new Rect(0,0,0,0);
            this.SaveExtent = Acetate_SaveExtent;
            this.MoveTo = Acetate_MoveTo;
            this.CenterTo = Acetate_CenterTo;
            this.SetSize = Acetate_SetSize;
            this.SetExtent = Acetate_SetExtent;
            this.GetExtent = Acetate_GetExtent;
            this.Visible = Acetate_Visible;
            this.IsVisible = Acetate_IsVisible;
            this.GetWidth = Acetate_GetWidth;
            this.GetHeight = Acetate_GetHeight;
            this.GetSize = Acetate_GetSize;
        }
        function Acetate_SaveExtent(){
            var Xmin = parseInt(this.style.left);
            var Ymin = parseInt(this.style.top);
            var Xmax = Xmin+this.GetWidth();
            var Ymax = Ymin+this.GetHeight();
            this.LastExtent = new Rect(Xmin,Ymin,Xmax,Ymax);
        }
        function Acetate_Minimize(){
            this.style.left = "0px";
            this.style.top = "0px";
            this.style.width = "0px";
            this.style.height = "0px";
            if (arguments.length>0){this.Visible(arguments[0]);};
        }
        function Acetate_Maximize(){
            this.style.left = "0px";
            this.style.top = "0px";
            this.style.width = "100%";
            this.style.height = "100%";
            if (arguments.length>0){this.Visible(arguments[0]);};
        }
        function Acetate_ShowLast(){
            this.SetExtent(this.LastExtent);
            this.Visible(true);
        }
        function Acetate_MoveTo(Position){
            this.style.left = Position.X+"px";
            this.style.top = Position.Y+"px";
            if (arguments.length>1){this.Visible(arguments[1]);};
            this.SaveExtent();
        }
        function Acetate_CenterTo(Position){
            this.style.left = (this.parentNode.GetWidth()/2)-Position.X+"px";
            this.style.top = (this.parentNode.GetHeight()/2)-Position.Y+"px";
            if (arguments.length>1){this.Visible(arguments[1]);};
            this.SaveExtent();
        }
        function Acetate_SetSize(Size){
            this.style.width = Size.X+"px";
            this.style.height = Size.Y+"px";
            if (arguments.length>1){this.Visible(arguments[1]);};
            this.SaveExtent();
        }
        function Acetate_SetExtent(Extent){
            this.style.left = Extent.Xmin+"px";
            this.style.top = Extent.Ymin+"px";
            this.style.width = Extent.Width()+"px";
            this.style.height = Extent.Height()+"px";
            if (arguments.length>1){this.Visible(arguments[1]);};
            this.SaveExtent();
        }
        function Acetate_GetExtent(){
            var Left = parseInt(this.style.left);
            var Top = parseInt(this.style.top);
            return new Rect(Left,Top,this.GetWidth(),this.GetHeight());
        }
        function Acetate_Visible(visible){
            this.style.display = visible?"Inline":"None";
        }
        function Acetate_IsVisible(){
            return !(this.style.display=="none");
        }
        function Acetate_GetWidth(){
          //this mean MapControl
          if (this.IsNetscape){
            return this.offsetWidth;
          }else{
            return this.style.pixelWidth;
          }
        }
        function Acetate_GetHeight(){
          if (this.IsNetscape){
            return this.offsetHeight;
          }else{
            return this.style.pixelHeight;
          }
        }
        function Acetate_GetSize(){
            return new Point(this.GetWidth(),this.GetHeight());
        }
        //==========================================
        function LayerImage(ObjId){
            var Image = document.createElement("Img");
            Image.id = ObjId;
            Image.UsedAcetate = Acetate_Initial;
            Image.UsedAcetate();
            return Image;
        }
        //=========================================================
        //=========================================================
        function PopupMenu(ObjId){
            var Menu = LayerAcetate(ObjId);
            Menu.SetStyle = PopupMenu_SetStyle; 
            Menu.AddItem = PopupMenu_AddItem;
            //Menu.SetStyle();
            //var MenuString = 'this.parentNode';
            //var MapString = 'this.parentNode.parentNode';
            //Menu.AddItem('Pan','Pan','keyboard:=p',MapString+'.Mode="Pan";'+MenuString+'.Minimize(false);');
            //Menu.AddItem('ZoomIn','ZoomIn','keyboard:=+',MapString+'.Mode="ZoomIn";'+MenuString+'.Minimize(false);');
            return Menu;
        }
        function PopupMenu_SetStyle(Style){
            if (arguments.length==0){
                this.style.display = "None";
                this.style.cursor = "Pointer";
                this.style.position = "Absolute";
                this.style.border = "Solid 1px Black";
                this.style.fontFamily= "Tahoma";
                this.style.fontSize= "10px";
                this.style.backgroundColor = "White";
                this.style.filter = "Alpha(opacity=50)";
                this.style.zIndex = 1000;
                //this.SetExtent(new Rect(0,0,100,200));
            }else{
            
            }
            var Table = document.createElement("Table");
            Table.id = "Menu"+Math.floor(Math.random()*1000000);
            Table.style.width = "100%";
            this.appendChild(Table);
            this.Table = this.childNodes[0];
        }
        function MenuItem(ObjId,Text,Shotcut){
            var TR = document.createElement("TR");TR.id = "Menu"+Math.floor(Math.random()*1000000);
            var TD = document.createElement("TD");TD.id = "Menu"+Math.floor(Math.random()*1000000);
            TR.id = ObjId;
            TD.innerHTML = 'xxxxx';
            TR.appendChild(TD);
            return TR;
        }
        function PopupMenu_AddItem(ObjId,Text,Shotcut,Script){
            //var NewItem = MenuItem(ObjId,Text,Shotcut);
            //this.appendChild(NewItem)
            this.innerHTML = this.innerHTML+"<Span id='"+ObjId+"'"+
                             " style='Width:100%'"+
                             " onclick='"+Script+"'>"+
                             Text+
                             "</Span><Hr>";
        }
 