﻿    //========================================================================
    //                Path Utility
    //========================================================================
    function RelativePath(path){
        if ((typeof document.Skin)=="undefined"){document.Skin="GISTDA.Classic";}
        var pathTheme = "/GISTDA.Skins/";
        var pathURL = new String(document.location);
        var pathStart = pathURL.lastIndexOf("/");
        var pathRoot = pathURL.substring(0,pathStart);
        var pathTheme = pathRoot+pathTheme+document.Skin+"/";
        return pathTheme+path;
    }
    function RelativeSRC(sender,path,backgroundonly){
        var SRC = RelativePath(path);
        sender.onload = null;
        if (backgroundonly){
            sender.parentNode.style.backgroundImage = "url("+SRC+")";
            //alert(sender.parentNode.id+"\n"+sender.parentNode.style.backgroundImage);
        }else{
            sender.src = SRC;
        }
        return SRC;
    }
    
    function IncludeFiles(){
        /***********************************************
        * Dynamic Ajax Content- © Dynamic Drive DHTML code library (www.dynamicdrive.com)
        * This notice MUST stay intact for legal use
        * Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
        ***********************************************/
        //Source From http://www.dynamicdrive.com/dynamicindex17/ajaxcontent_dev.htm
        if (!document.getElementById) return
        for (i=0; i<arguments.length; i++){
            var file=arguments[i];
            var fileref="";
            //Check to see if this object has not already been added to page before proceeding
            //if (loadedobjects.indexOf(file)==-1){ 
                if (file.indexOf(".js")!=-1){ //If object is a js file
                    fileref=document.createElement('script');
                    fileref.setAttribute("type","text/javascript");
                    fileref.setAttribute("src", file);
                }
                else if (file.indexOf(".css")!=-1){ //If object is a css file
                    fileref=document.createElement("link")
                    fileref.setAttribute("rel", "stylesheet");
                    fileref.setAttribute("type", "text/css");
                    fileref.setAttribute("href", file);
                }
            //}
            if (fileref!=""){
                document.getElementsByTagName("head").item(0).appendChild(fileref);
                //loadedobjects+=file+" "; //Remember this object as being already added to page
            }
        }
    }
    //========================================================================
    //                XML Utility
    //========================================================================
    function XMLUtil(){
        this.TypeElement = 1;
        this.TypeAttribute = 2;
        this.TypeText = 3;
        this.TypeCDATA = 4;
        this.TypeEntityReference = 5;
        this.TypeEntityNode = 6;
        this.TypeProcessingInstruction = 7;
        this.TypeComment = 8;
        this.TypeDocument = 9;
        this.TypeDocumentType = 10;
        this.TypeDocumentFragment = 11;
        this.TypeNotation = 12;
        
        this.StateUninit = 0;
        this.StateLoading = 1;
        this.StateLoaded = 2;
        this.StateInterActive = 3;
        this.StateComplete = 4;

        this.BustCash = false;
        this.Load = XMLUtil_Load;
        this.GetDeepestElements = XMLUtil_GetDeepestElements;
        this.GetShallowElements = XMLUtil_GetDeepestElements;
        this.GetDeepestElement = XMLUtil_GetDeepestElement;
        this.GetValueElement = XMLUtil_GetValueElement;
        
    }
    function XMLUtil_Load(URL,FunctionOnLoad,Target)
    {
        var bustcacheparameter = "";
        if (this.BustCach) //if bust caching of external page
        {
            bustcacheparameter=(URL.indexOf("?")>0)? "&"+new Date().getTime() : "?"+new Date().getTime()
        }
        //----------------
        var XMLHttp = false
        if (window.XMLHttpRequest) // if Mozilla, Safari etc
        {
            XMLHttp = new XMLHttpRequest()
        }
        else if (window.ActiveXObject)// if IE
        { 
            //XMLHttp = new ActiveXObject("Msxml2.XMLHTTP.3.0");
            XMLHttp = new ActiveXObject("Microsoft.XMLHTTP");
            //XMLHttp = new ActiveXObject("Microsoft.XMLDOM");
        }
        else // Not Support AJAX
        {
            alert('Your browser can\'t handle this script');
            return false;
        } 
        //----------------
        //XMLHttp.setRequestHeader("Content-Type","text/xml");
        XMLHttp.onreadystatechange=function(){FunctionOnLoad(XMLHttp,Target);}
        XMLHttp.open('GET',URL+bustcacheparameter, true);
        XMLHttp.send();
    }
    function LoadXML(XMLText){
        XMLDOM = new ActiveXObject("Microsoft.XMLDOM");
        XMLDOM.loadXML(XMLText);
        return XMLDOM;
    }    
    function XMLUtil_GetDeepestElements(XMLNode,NodeName){
        var ELayers = new Array();
        var SLayers = XMLNode.getElementsByTagName(NodeName);
        if (SLayers==null){return ELayers;}
        for(var i=0;i<SLayers.length;i++){
            var TLayers = SLayers[i].getElementsByTagName(NodeName);
            if (TLayers.length==0){ELayers.push(SLayers[i])}
        }
        return ELayers;
    }
    
    function XMLUtil_GetDeepestElement(XMLNode,NodeName){
        var XMLNodes = this.GetDeepestElements(XMLNode,NodeName);
        if (XMLNodes.length==0){return null}else{return XMLNodes[0];}
    }
    
    function XMLUtil_GetValueElement(XMLNode,NodeName){
        var xmlNode = this.GetDeepestElement(XMLNode,NodeName);
        if (xmlNode==null){return '';}
        if (xmlNode.toString().indexOf(":")>0){return xmlNode.getText()};//SAX Parser
        if (xmlNode.childNodes.length==0){return ''}
        if (xmlNode.childNodes[0].nodeType!=this.TypeText){return ''}
        return new String(xmlNode.childNodes[0].nodeValue);
    }
        /*//-------------
        //Exclude DOCTYPE in MapServ GetCap (No Need In ArcIMS)
        var StartDTD = XMLHttp.responseText.indexOf('<!DOCTYPE');
        if (StartDTD>0){
            var LastNode = StartDTD; 
            var StopDTD = false;
            while(!StopDTD){
                NextEnd = XMLHttp.responseText.indexOf('>',LastNode+1);
                NextNode = XMLHttp.responseText.indexOf('<',LastNode+1);
                StopDTD = NextNode>NextEnd;
                LastNode = NextNode;
            }
            NextEnd = XMLHttp.responseText.indexOf('>',NextEnd+1);
            var DOCTYPE = XMLHttp.responseText.substring(StartDTD,NextEnd+1);
            var UnDOCTYPE = XMLHttp.responseText.replace(DOCTYPE,'');
            //XMLHttp.loadXML(UnDOCTYPE);
            //alert('DOCTYPE Include width Unsupport in IE parser');
        }*/
    
    //===============================================
    //                History Utility 
    //===============================================
    function History(){
        this.Current = -1;
        this.Values = new Array();
        this.MaxID = -1;
        History.GetValue = History_GetValue;
        History.SetValue = History_SetValue;
        History.MovePrevious = History_MovePrevious;
        History.MoveNext = History_MoveNext;
    }

        function History_GetValue(){
            if (this.Values.length==0){
                return null;
            }else{
                return(this.Values[this.Current]);
            }
        }
        function History_SetValue(Value){
            if (this.MaxID==-1){
                this.MaxID = 0;
                this.Current = 0;
                this.Values[0] = Value;
            }else{
                if(this.Values[this.Current]==Value){
                    /*Do not thing*/}
                else{
                    if(this.Values[this.Current+1]==Value){
                        /*Move to next record*/
                        this.Current=this.Current+1
                        }
                    else{
                        this.Current=this.Current+1;
                        this.MaxID = this.Current;
                        this.Values[this.Current] = Value;
                        _root.URL = this.Current;
                    }
                }
            }
        }
        function History_MovePrevious(){
            this.Current = this.Current -1;
            if (this.Current<0) this.Current=0;
        }
        function History_MoveNext(){
            this.Current = this.Current+1;
            if (this.Current>this.MaxID) this.Current = this.MaxID;
        }
    //==========================================================================
    //                         Drawing Method
    //==========================================================================
    function DrawBox(Target,Extent,BorderSize,BorderColor,BorderOpacity,FillColor,FillOpacity) {
        with(Target){
            lineStyle (BorderSize,BorderColor,BorderOpacity);
            beginFill (FillColor,FillOpacity);
            moveTo(Extent.Xmin, Extent.Ymin);
            lineTo(Extent.Xmax, Extent.Ymin);
            lineTo(Extent.Xmax, Extent.Ymax);
            lineTo(Extent.Xmin, Extent.Ymax);
            lineTo(Extent.Xmin, Extent.Ymin);
            endFill ();
        }
        updateAfterEvent();
    }

    function DrawLine(Target,aLine,LineSize,LineColor,LineOpacity){
        with(Target){    
            lineStyle (LineSize, LineColor,LineOpacity);
            moveTo(aLine.Start.X,aLine.Start.Y);
            lineTo(aLine.End.X,aLine.End.Y);
        }
    }

    function DrawPolyline(Target,aPolyline,LineSize,LineColor,LineOpacity){
        with(Target){    
            lineStyle (LineSize, LineColor,LineOpacity);
            moveTo(aPolyline.Points[0].X,aPolyline.Points[0].Y);
            for (i=1;i<aPolyline.Points.length;i++){
                lineTo(aPolyline.Points[i].X,aPolyline.Points[i].Y);
            }
        }
        updateAfterEvent();
    }

    function DrawPolygon(Target,aPolygon,LineSize,LineColor,LineOpacity,FillColor,FillOpacity) {
        with(Target){
            lineStyle (LineSize, LineColor,LineOpacity);
            beginFill (FillColor,FillOpacity);
            moveTo(aPolygon.Points[0].X,aPolygon.Points[0].Y);
            for (i=1;i<aPolygon.Points.length;i++){
                lineTo(aPolygon.Points[i].X,aPolygon.Points[i].Y);
            }
            lineTo(aPolygon.Points[0].X,aPolygon.Points[0].Y);
            endFill ();
        }
        updateAfterEvent();
    }
    function DrawPoint(Target,aPoint,LineSize,LineColor,LineOpacity,FillColor,FillOpacity) {
        aSize = 3;
        aPolygon = new Polygon();
        aPolygon.AddPoint(new Point(aPoint.X-aSize,aPoint.Y-aSize));
        aPolygon.AddPoint(new Point(aPoint.X-aSize,aPoint.Y+aSize));
        aPolygon.AddPoint(new Point(aPoint.X+aSize,aPoint.Y+aSize));
        aPolygon.AddPoint(new Point(aPoint.X+aSize,aPoint.Y-aSize));
        DrawPolygon(Target,aPolygon,LineSize,LineColor,LineOpacity,FillColor,FillOpacity);            
    }
